using CandidateReviewContracts.BindingModels;
using CandidateReviewContracts.SearchModels;
using CandidateReviewContracts.ViewModels;

namespace CandidateReviewContracts.BusinessLogicsContracts
{
    public interface IAssessmentLogic
    {
        List<AssessmentViewModel>? ReadList(AssessmentSearchModel? model);
        AssessmentViewModel? ReadElement(AssessmentSearchModel model);
        int? Create(AssessmentBindingModel model);
        bool Update(AssessmentBindingModel model);
        bool Delete(AssessmentBindingModel model);
    }
}
